import { ParameterBuilder } from '../parameterBuilder';
export class DatabaseConnectionRequest {
    constructor(request) {
        this.request = request;
    }
    addParameters(parameters) {
        this.request.addParameters(parameters);
        return this;
    }
    addParameter(name, value) {
        this.request.addParameter(name, value);
        return this;
    }
    addHeader(name, value) {
        this.request.addHeader(name, value);
        return this;
    }
    setConnection(connection) {
        this.request.addParameter(ParameterBuilder.CONNECTION_KEY, connection);
        return this;
    }
    start(callback) {
        this.request.start(callback);
    }
}
//# sourceMappingURL=databaseConnectionRequest.js.map