import { Authentication } from '../../result/authentication';
export class ProfileRequest {
    constructor(credentialsRequest, userInfoRequest) {
        this.credentialsRequest = credentialsRequest;
        this.userInfoRequest = userInfoRequest;
    }
    addParameters(parameters) {
        this.credentialsRequest.addAuthenticationParameters(parameters);
        return this;
    }
    setScope(scope) {
        this.credentialsRequest.setScope(scope);
        return this;
    }
    start(callback) {
        this.credentialsRequest.start({
            onSuccess: (credentials) => {
                this.userInfoRequest
                    .addHeader(ProfileRequest.HEADER_AUTHORIZATION, `Bearer ${credentials.accessToken}`)
                    .start({
                    onSuccess: function (profile) {
                        callback.onSuccess(new Authentication(profile, credentials));
                    },
                    onFailure: function (error) {
                        callback.onFailure(error);
                    }
                });
            },
            onFailure: (error) => {
                callback.onFailure(error);
            }
        });
    }
}
ProfileRequest.HEADER_AUTHORIZATION = "Authorization";
//# sourceMappingURL=profileRequest.js.map