export class SignUpRequest {
    constructor(signUpRequest, authenticationRequest) {
        this.signUpRequest = signUpRequest;
        this.authenticationRequest = authenticationRequest;
    }
    addSignUpParameters(parameters) {
        this.signUpRequest.addParameters(parameters);
        return this;
    }
    addAuthenticationParameters(parameters) {
        this.authenticationRequest.addAuthenticationParameters(parameters);
        return this;
    }
    setScope(scope) {
        this.authenticationRequest.setScope(scope);
        return this;
    }
    setAudience(audience) {
        this.authenticationRequest.setAudience(audience);
        return this;
    }
    setAccessToken(accessToken) {
        this.authenticationRequest.setAccessToken(accessToken);
        return this;
    }
    setGrantType(grantType) {
        this.authenticationRequest.setGrantType(grantType);
        return this;
    }
    setRealm(realm) {
        this.signUpRequest.setConnection(realm);
        this.authenticationRequest.setRealm(realm);
        return this;
    }
    start(callback) {
        this.signUpRequest.start({
            onSuccess: (user) => {
                this.authenticationRequest.start(callback);
            },
            onFailure: (error) => {
                callback.onFailure(error);
            }
        });
    }
}
//# sourceMappingURL=signUpRequest.js.map