import { SimpleRequest } from './simpleRequest';
import { AuthenticationErrorBuilder } from './authenticationErrorBuilder';
import { ParameterBuilder } from '../../authentication/parameterBuilder';
export class BaseAuthenticationRequest extends SimpleRequest {
    constructor(url, httpMethod, clazz) {
        super(url, httpMethod, clazz, new AuthenticationErrorBuilder());
    }
    setGrantType(grantType) {
        this.addParameter(ParameterBuilder.GRANT_TYPE_KEY, grantType);
        return this;
    }
    setRealm(realm) {
        this.addParameter(ParameterBuilder.REALM_KEY, realm);
        return this;
    }
    setScope(scope) {
        this.addParameter(ParameterBuilder.SCOPE_KEY, scope);
        return this;
    }
    setAudience(audience) {
        this.addParameter(ParameterBuilder.AUDIENCE_KEY, audience);
        return this;
    }
    setAccessToken(accessToken) {
        this.addParameter(ParameterBuilder.ACCESS_TOKEN_KEY, accessToken);
        return this;
    }
    addAuthenticationParameters(parameters) {
        const params = Object.assign({}, parameters);
        this.addParameters(params);
        return this;
    }
}
BaseAuthenticationRequest.TAG = 'BaseAuthenticationRequest';
//# sourceMappingURL=baseAuthenticationRequest.js.map